function CBDTLocalizationInit()

    CBDT.L = setmetatable( {}, { __index = function( L, key ) return key end } )

    if GetLocale() == "ruRU" then
        CBDT.L["|cff9482c9%s-%s loaded!|r"] = "|cff9482c9%s-%s загружен!|r"
        CBDT.L["|cff9482c9To open the options window, type|r %s"] = "|cff9482c9Для настройки параметров наберите|r %s"
        CBDT.L["|cff9482c9%s: debug messages enabled|r"] = "|cff9482c9%s: отладочные сообшения включены|r"
        CBDT.L["|cff9482c9%s: debug messages disabled|r"] = "|cff9482c9%s: отладочные сообщения отключены|r"
        CBDT.L["|cff9482c9%s: buff simulation disabled|r"] = "|cff9482c9%s: эмуляция баффов отключена|r"
        CBDT.L["|cff9482c9%s: \"%s\" buff simulation SpellID %s - %s (%d) |cff9482c9for %d seconds enabled|r"] = "|cff9482c9%s: \"%s\" эмуляция баффа для SpellID %s - %s (%d) |cff9482c9на %d секунд включена|r"
        CBDT.L["|cff9482c9%s: incorrect SpellID or UnitID provided.\nType |r%s simulate player | target SpellID duration(seconds) stacks|r"] = "|cff9482c9%s: указаны некорректные SpellID или UnitID.\nНаберите |r%s simulate player | target SpellID длительность(секунд) стаки(кол-во)|r"
        CBDT.L["|cff9482c9%s: test mode enabled|r"] = "|cff9482c9%s: режим тестирования включен|r"
        CBDT.L["|cff9482c9%s: test mode disabled|r"] = "|cff9482c9%s: режим тестирования отключен|r"
        CBDT.L["|cff9482c9%s: disabled|r"] = "|cff9482c9%s: отключен|r"
        CBDT.L["|cff9482c9%s: enabled|r"] = "|cff9482c9%s: включен|r"
        
        CBDT.L["DPET High threshold, %:"] = "Верхний порог DPET, %:"
        CBDT.L["DPET Low threshold, %:"] = "Нижний порог DPET, %:"
        CBDT.L["Time window, s:"] = "Временное окно, с:"
        CBDT.L["DPET stages, 1 to 5:"] = "Уровней DPET, от 1 до 5:"
        CBDT.L["Stage bars size:"] = "Размер индикаторов:"
        CBDT.L["Width:"] = "Ширина:"
        CBDT.L["Height:"] = "Высота:"
        CBDT.L["Stage bars position:"] = "Положение индикаторов, смещение:"
        CBDT.L["Offset X:"] = "По оси X:"
        CBDT.L["Offset Y:"] = "По оси Y:"
        CBDT.L["Show stage description:"] = "Описание уровней:"
        CBDT.L["1st:"] = "1-й:"
        CBDT.L["2nd:"] = "2-й:"
        CBDT.L["Stage description font size:"] = "Размер шрифта описания:"
        CBDT.L["Show Chaos Bolt cast line:"] = "Линия каста Стрелы Хаоса:"
        CBDT.L["Use Backdraft stacks:"] = "Учитывать стаки Обратного потока:"
        CBDT.L["Use EmberKill on trash targets:"] = "Использовать EmberKill на треше:"
        CBDT.L["Emberbits cap:"] = "Софткап угольков:"
        CBDT.L["Low threshold active, 10 to 40:"] = "Нижний порог, от 10 до 40:"
        CBDT.L["No threshold active, >low to 40:"] = "Нет порога, от НП до 40:"
        CBDT.L["Chaos Bolt sound:"] = "Звук для Стрелы Хаоса:"
        CBDT.L["Shadowburn sound:"] = "Звук для Ожога Тьмы:"
        CBDT.L["Sound channel:"] = "Канал звука:"
        CBDT.L["Accept"] = "Применить"
        CBDT.L["Cancel"] = "Отмена"
        CBDT.L["CBDT - Options"] = "CBDT - Настройки"
        
    else
        CBDT.L["|cff9482c9%s-%s loaded!|r"] = "|cff9482c9%s-%s loaded!|r"
        CBDT.L["|cff9482c9To open the options window, type|r %s"] = "|cff9482c9To open the options window, type|r %s"
        CBDT.L["|cff9482c9%s: debug messages enabled|r"] = "|cff9482c9%s: debug messages enabled|r"
        CBDT.L["|cff9482c9%s: debug messages disabled|r"] = "|cff9482c9%s: debug messages disabled|r"
        CBDT.L["|cff9482c9%s: buff simulation disabled|r"] = "|cff9482c9%s: buff simulation disabled|r"
        CBDT.L["|cff9482c9%s: \"%s\" buff simulation SpellID %s - %s (%d) |cff9482c9for %d seconds enabled|r"] = "|cff9482c9%s: \"%s\" buff simulation SpellID %s - %s (%d) |cff9482c9for %d seconds enabled|r"
        CBDT.L["|cff9482c9%s: incorrect SpellID or UnitID provided.\nType |r%s simulate player | target SpellID duration(seconds) stacks|r"] = "|cff9482c9%s: incorrect SpellID or UnitID provided.\nType |r%s simulate player | target SpellID duration(seconds) stacks|r"
        CBDT.L["|cff9482c9%s: test mode enabled|r"] = "|cff9482c9%s: test mode enabled|r"
        CBDT.L["|cff9482c9%s: test mode disabled|r"] = "|cff9482c9%s: test mode disabled|r"
        CBDT.L["|cff9482c9%s: disabled|r"] = "|cff9482c9%s: disabled|r"
        CBDT.L["|cff9482c9%s: enabled|r"] = "|cff9482c9%s: enabled|r"
        
        CBDT.L["DPET High threshold, %:"] = "DPET High threshold, %:"
        CBDT.L["DPET Low threshold, %:"] = "DPET Low threshold, %:"
        CBDT.L["Time window, s:"] = "Time window, s:"
        CBDT.L["DPET stages, 1 to 5:"] = "DPET stages, 1 to 5:"
        CBDT.L["Stage bars size:"] = "Stage bars size:"
        CBDT.L["Width:"] = "Width:"
        CBDT.L["Height:"] = "Height:"
        CBDT.L["Stage bars position:"] = "Stage bars position:"
        CBDT.L["Offset X:"] = "Offset X:"
        CBDT.L["Offset Y:"] = "Offset Y:"
        CBDT.L["Show stage description:"] = "Show stage description:"
        CBDT.L["1st:"] = "1st:"
        CBDT.L["2nd:"] = "2nd:"
        CBDT.L["Stage description font size:"] = "Stage description font size:"
        CBDT.L["Show Chaos Bolt cast line:"] = "Show Chaos Bolt cast line:"
        CBDT.L["Use Backdraft stacks:"] = "Use Backdraft stacks:"
        CBDT.L["Use EmberKill on trash targets:"] = "Use EmberKill on trash targets:"
        CBDT.L["Emberbits cap:"] = "Emberbits cap:"
        CBDT.L["Low threshold active, 10 to 40:"] = "Low threshold active, 10 to 40:"
        CBDT.L["No threshold active, >low to 40:"] = "No threshold active, >low to 40:"
        CBDT.L["Chaos Bolt sound:"] = "Chaos Bolt sound:"
        CBDT.L["Shadowburn sound:"] = "Shadowburn sound:"
        CBDT.L["Sound channel:"] = "Sound channel:"
        CBDT.L["Accept"] = "Accept"
        CBDT.L["Cancel"] = "Cancel"
        CBDT.L["CBDT - Options"] = "CBDT - Options"
    end
end